GNU bug report logs - #60898
[PATCH 02/25] gnu: go-golang-org-x-mod: Update to 0.7.0.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:25 2023
Received: from localhost ([127.0.0.1]:38589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxW0-0007T8-4w
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:24 -0500
Received: from lists.gnu.org ([209.51.188.17]:60094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxVv-0007SJ-DO
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:22 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVt-000216-5k
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:18 -0500
Received: from mail-il1-x132.google.com ([2607:f8b0:4864:20::132])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVq-0006vf-Dq
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:16 -0500
Received: by mail-il1-x132.google.com with SMTP id w2so2691464ilg.1
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=o+KCyR8eoCLopNJd+sTm6vPKvadulDxR63og5jn3py8=;
 b=J2KZ9CdM1hErEvFVp7sm3vNWwW6WH6DjI6O68u8BAEgE9eXbzSQ69HQvIjfQHdHMdm
 eeyV3jneetRabA/rm9Go37KrlA00raG4ZDFWzglpzo/PO+9CNFXmD7cTTJYE1zHX2XfK
 e0etIGDQWGshzUztCB+DAls8NXZL9Jby0RGeNAwE2D07owMau+H//usc3LkvIAMMJEXs
 orQ/ArMJnUi1syAqPwkx1WnaF+z13A1htBZJ7eQZcHe2bWqHTSIB9c20MKNf3x8i2aBw
 6+DDmPCRKSWeeXhv0lHq6Wt2+wTUxmnuJme86rvaFu3D4vV07A0N4KaLgIffshsO1dNu
 vrQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=o+KCyR8eoCLopNJd+sTm6vPKvadulDxR63og5jn3py8=;
 b=uehAW9blpOZY/8q2FXTLTFAegvDWcAfyDWoGV5A+Sce1sin2MLzrjOHG2NlTabIUQb
 JpNB1D/rOJzHM6E5u9Dt/RWtuZZQ5um7wVWCFHJDHzUVCVIR/rvMrATy7EsYYu/lJjsy
 5qwyLqqDYfxLEUe6g5/bxGXiQN5NMKpo3s8ki2sALsAsi2NebBvy3JYTvmM4/3JLs5Oi
 rTR0b8j0Em9dJ8H0k9aOJNUH98O4QO36+gnRL9CV2Aj8jkKfMEXbj2zHNXZQkf4ClbhI
 +6RV9ENIqpwl72TZD1w5eDB2ailZ7Nq65Qae64yN1aqJvExrTPS43HAtwdQUcTs79KaV
 aS3g==
X-Gm-Message-State: AFqh2koUTuwljBTxpxfJtmyPZjlyT43ZdnohP6MoIqvyxlhWlJ8Qyt7K
 sppjEo21sV6iY9/uhEcMlv4FF63LtaA=
X-Google-Smtp-Source: AMrXdXsnSbjFtfJneonh2mMUAwDis+/I4YLWyCon/7w6KiNle6Ni1M5fi/iqb/l8FHjjehcDugjdLA==
X-Received: by 2002:a92:cf05:0:b0:30f:4d9:cfcf with SMTP id
 c5-20020a92cf05000000b0030f04d9cfcfmr4300519ilo.21.1674006313336; 
 Tue, 17 Jan 2023 17:45:13 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:12 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 02/25] gnu: go-golang-org-x-mod: Update to 0.7.0.
Date: Tue, 17 Jan 2023 18:44:47 -0700
Message-Id: <20230118014510.19320-3-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::132;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x132.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-golang-org-x-mod): Update to 0.7.0.
---
 gnu/packages/golang.scm | 29 ++++++++++++++---------------
 1 file changed, 14 insertions(+), 15 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9300e675dd..5e7fd1fa82 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3190,28 +3190,27 @@ (define-public go-golang-org-x-xerrors
       (license license:bsd-3))))
 
 (define-public go-golang-org-x-mod
-  (let ((commit "0f08993efd8a8ec67e75bcccf86b0e1569b0ab0a")
+  (let ((commit "7c05a442b7c1d1a107879b4a090bb5a38d3774a1")
         (revision "0"))
     (package
       (name "go-golang-org-x-mod")
-      (version (git-version "0.5.0" revision commit))
-      (source
-       (origin
-         (method git-fetch)
-         (uri (git-reference
-               (url "https://github.com/golang/mod")
-               (commit commit)))
-         (file-name (git-file-name name version))
-         (sha256
-          (base32 "0pl0jc5jvg7hxj4z66zg6kglnq5g7li09f3k9klwvyr4jx5dw88k"))))
+      (version (git-version "0.7.0" revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/golang/mod")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "14r24fq3kn84k2y2jvvg8hwpy52a3q429pimrdwl5zwknbr2awmh"))))
       (build-system go-build-system)
       (arguments
        '(#:import-path "golang.org/x/mod/"
          #:tests? #f
-         #:phases
-         (modify-phases %standard-phases
-           ;; Source-only package
-           (delete 'build))))
+         #:phases (modify-phases %standard-phases
+                    ;; Source-only package
+                    (delete 'build))))
       (home-page "https://golang.org/x/mod")
       (synopsis "Tools to work directly with Go module mechanics")
       (description
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60898; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.